Bug 89731 - Crash opening docx file
Summary: Crash opening docx file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-02-27 20:18 UTC by Chris Jerdonek
Modified: 2016-10-25 19:20 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
docx file causing crash on open (43.63 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-02-27 20:18 UTC, Chris Jerdonek
Details
Mac OSX crash report (73.56 KB, text/plain)
2015-02-27 20:19 UTC, Chris Jerdonek
Details
console bt with master sources (56.46 KB, text/plain)
2015-02-28 13:42 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Jerdonek 2015-02-27 20:18:20 UTC
Created attachment 113764 [details]
docx file causing crash on open

LibreOffice crashes when opening the attached docx file (using version 4.4.1.2).  The crash also occurred with version 4.3.5.
Comment 1 Chris Jerdonek 2015-02-27 20:19:46 UTC
Created attachment 113765 [details]
Mac OSX crash report
Comment 2 tommy27 2015-02-27 21:04:22 UTC
no crash using LibO 4.3.5 and 4.4.1 under Win8x64
maybe a MacOS specific bug

updated version field to earliest affected version reported by user.
Comment 3 Chris Jerdonek 2015-02-27 21:07:36 UTC
I'm using Mac OS X 10.10.2.
Comment 4 MM 2015-02-27 23:51:27 UTC
Unconfirmed with v4.3.6.2 under windows 7 x64.
Unconfirmed with v4.2.8.2 under mint 17.1 x64.
Confirmed with v4.3.6.2 under mint 17.1 x64.
Confirmed with v4.4.1.2 under mint 17.1 x64.

Set as regression.
Comment 5 Julien Nabet 2015-02-28 13:42:23 UTC
Created attachment 113776 [details]
console bt with master sources

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached console logs and bt.
Comment 6 Julien Nabet 2015-02-28 13:43:11 UTC
Regression + crash + All OS => increase importance
Comment 7 Robinson Tryon (qubit) 2015-03-05 16:27:28 UTC
Whiteboard -> bibisectRequest
Comment 8 Rostislav 'R.Yu.' Okulov 2015-03-11 12:03:10 UTC
Can't reproduce under Kubuntu 14.10 64-bit LO4.3.3.2
Comment 9 Michael Weghorn 2015-03-13 20:53:06 UTC
bibisect result:

7d919e56e7886188a4544132d97d72d7d1720d4b is the first bad commit
commit 7d919e56e7886188a4544132d97d72d7d1720d4b
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Nov 6 05:05:12 2014 +0000

    source-hash-6b78f7fd8503451b82d659f1eca564f772d1b363
    
    commit 6b78f7fd8503451b82d659f1eca564f772d1b363
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Fri Oct 3 09:42:48 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Fri Oct 3 16:30:28 2014 +0100
    
        coverity#1242803 Unused value
    
        Change-Id: I674f8ef309052737d742802ca4756c8e51e4385c



$ git bisect log
# bad: [4a3091e95fa263d3e2dd81e56e83996f0bb12287] source-hash-2b5b04e1e62914bf0902dfd7943cdc44499c47a6
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect start 'latest' 'oldest'
# good: [5d0dfb8e62ae61a240f8313c594d4560e7c8e048] source-hash-0c6cd530de13f80795881f61064f1bf1dcc4ea81
git bisect good 5d0dfb8e62ae61a240f8313c594d4560e7c8e048
# good: [7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5] source-hash-f93ce4f7eb90093d0ea3115d0a1c614612676dbd
git bisect good 7dfacd0b8bd828331d74c0f79de6e8924bc4e6a5
# bad: [a42da134cd542144fca7ba14cce86c2b409fc18a] source-hash-beadebc0f7eb5582fcb8dcb082d19afdf2751876
git bisect bad a42da134cd542144fca7ba14cce86c2b409fc18a
# bad: [5f697ca821720f76105e5539f0408e68a0647481] source-hash-f9695150942341a755a43996d4639eb623d7640b
git bisect bad 5f697ca821720f76105e5539f0408e68a0647481
# good: [3b00b662438462a4b73b0531ffa6192fc7e72638] source-hash-0a5cd87e591d7f87bfab92716079af719259f143
git bisect good 3b00b662438462a4b73b0531ffa6192fc7e72638
# bad: [a3feb5849b1c2c7a502a0de7aa6b50897474137c] source-hash-3b3fc43963579a456a99b885634543b559c9f07e
git bisect bad a3feb5849b1c2c7a502a0de7aa6b50897474137c
# good: [75478ef1f3fe52353296732984bb3ca64ef54d00] source-hash-9086a4bbd38b9a5320525392affe495e7772796a
git bisect good 75478ef1f3fe52353296732984bb3ca64ef54d00
# bad: [75d6669d4e35df36ced54f6d0651cf035c6705f8] source-hash-3273a1f3cdc455bbf5726cd8b476b37e4b3d9e68
git bisect bad 75d6669d4e35df36ced54f6d0651cf035c6705f8
# bad: [7d919e56e7886188a4544132d97d72d7d1720d4b] source-hash-6b78f7fd8503451b82d659f1eca564f772d1b363
git bisect bad 7d919e56e7886188a4544132d97d72d7d1720d4b
# first bad commit: [7d919e56e7886188a4544132d97d72d7d1720d4b] source-hash-6b78f7fd8503451b82d659f1eca564f772d1b363
Comment 10 Matthew Francis 2015-03-14 15:40:40 UTC
This seems to have started at the below commit.
Adding Cc: to l.lunak@collabora.com; Could you possibly take a look at this? Thanks

commit 9dbf817fe5c5253fba0831aefa17575ae0ba3af1
Author: Luboš Luňák <l.lunak@collabora.com>
Date:   Wed Oct 1 19:12:47 2014 +0200

    handle scope of w:pPrChange and w:rPrChange properly (bnc#821804)
    
    Redlines changing formatting of runs and paragraphs are valid for the entire
    run/paragraph, not just their existence in the XML. So store them
    in the matching contexts, which will care of it, instead of the endtrackchange
    stuff.
    
    Change-Id: Ie583e4be14e8df95829852bfbbbe25aa0684f02e
Comment 11 Commit Notification 2015-05-27 15:22:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0123bbbc4d07fd7d6c233f67139984ab3cd4555d

Resolves: tdf#89731 numberingChange feature not available in writer

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-05-27 15:22:33 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c086933969e5edef80febe0e37a402798302ddb6&h=libreoffice-5-0

Resolves: tdf#89731 numberingChange feature not available in writer

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Caolán McNamara 2015-05-27 15:23:15 UTC
numberingChange feature which we don't have an equivalent for
Comment 14 Commit Notification 2015-05-28 08:54:21 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29babc3958687a1515eb6f4bb3b61ca0e038a09d&h=libreoffice-4-4

Resolves: tdf#89731 numberingChange feature not available in writer

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Julien Nabet 2015-05-28 17:14:05 UTC
Verified with be01d68420086fc36ecf26b5f597ba7c6b29b369 (thanks to Caolan)
Comment 16 Chris Jerdonek 2015-05-28 17:57:18 UTC
Thank you so much to all involved!  I was very impressed by the responsiveness.
Comment 17 Robinson Tryon (qubit) 2015-12-17 10:53:13 UTC Comment hidden (obsolete)